//-----------------------------------------------------------------------------
//
//  FILE: eeprom.h
//
//  DESCRIPTION:
//      This header file contains the typedefs, #defines, and function prototypes
//      for the eCos EEPROM interface.
//
//  MODIFICATION HISTORY:
//
//

#ifndef CYGONCE_EEPROM_H
#define CYGONCE_EEPROM_H

#include <cyg/infra/cyg_type.h>

// function prototypes
__externC int
EEPROM_Init(void);
__externC int
EEPROM_Read(cyg_uint32 addr, void* pBuf, size_t bufSize);
__externC int
EEPROM_Write(cyg_uint32 addr, void const* pBuf, size_t bufSize);

#endif
